package main

import (
	"fmt"
	"git.swzry.com/zry/go-hhc-cli/hhc_mangekyo"
	"git.swzry.com/zry/go-hhc-cli/hhc_telws"
	"git.swzry.com/zry/go-hhc-cli/hhccli"
)

type MUH struct {
}

func NewMUH() *MUH {
	muh := &MUH{}
	return muh
}

func (mhu *MUH) GetDefaultPromptString(ctx *hhc_telws.TelwsSessionContext) string {
	return fmt.Sprintf("<%s@MangekyoHHCTest>", ctx.GetUsername())
}
func (mhu *MUH) GetDefaultTitle(ctx *hhc_telws.TelwsSessionContext) string {
	return fmt.Sprintf("%s@MangekyoHHCTest - UserView", ctx.GetUsername())
}
func (mhu *MUH) GetCustomViewPortalCommands() []hhc_mangekyo.MangekyoCustomViewPortalCommandDefine {
	mcvpcds := make([]hhc_mangekyo.MangekyoCustomViewPortalCommandDefine, 0)
	return mcvpcds
}
func (mhu *MUH) NewSession(ctx *hhc_telws.TelwsSessionContext, cli *hhccli.TerminalInteractive) error {
	return nil
}
